Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ glib2-devel
# END SourceDeps(oneline)
Name:           psimedia
Version:        1.0.3
Release:        alt1_16
Summary:        Audio and video RTP services for Psi-like IM clients

License:        LGPLv2+
URL:            http://delta.affinix.com/psimedia/
Source0:        http://delta.affinix.com/download/psimedia/%{name}-%{version}.tar.bz2
Source1:        psimedia.desktop
# Using %%{_libdir}/psi/plugins directory for psimedia demo
Patch0:         psimedia-demo.patch
# http://code.google.com/p/psi-dev/source/browse/trunk/patches/psimedia/0040-psimedia-2.6.38-compilation-fix.diff
Patch1:         psimedia-remove-v4l.patch
# https://bugs.gentoo.org/show_bug.cgi?id=361419#c5
Patch2:         psimedia-drop-v4lsrc-gst-plugin.patch
# fixes for latest gcc & glib https://github.com/psi-im/psimedia/commit/a986555ab7898b22fddda459c9977194b992f8b7
Patch3:         psimedia-glib.patch
# https://github.com/psi-plus/psimedia/commit/8a6503ae3caee3fe795ff2927c8dc88345d0a541
Patch4:         psimedia-varrate-asterisk.patch
#https://github.com/psi-plus/psimedia/commit/c2b8446e6cf636ad2eae60d36f13eb79e67816fd
Patch5:         psimedia-uvcvideo-fix.patch

# psi crashes if gstreamer-plugins-good not installed
Requires:       gst-plugins-good

BuildRequires:  qt4-devel
BuildRequires:  gst-plugins-devel >= 0.10.22
BuildRequires:  liboil-devel >= 0.3
BuildRequires:  speexdsp-devel
BuildRequires:  desktop-file-utils
Source44: import.info

%description
PsiMedia is a thick abstraction layer for providing audio and
video RTP services to Psi-like IM clients. The implementation
is based on GStreamer.

%prep
%setup -q
%patch0 -p1 -b .demo
%patch1 -p1 -b .v4l
%patch2 -b .v4lsrc
%patch3 -p1 -b .glib
%patch4 -p1 -b .varrate-asterisk
%patch5 -p1 -b .uvcvideo


%build
# Generated by qconf 1.5 ( http://delta.affinix.com/qconf/ )
./configure --libdir=%{_libdir} --prefix=%{_prefix}

make %{?_smp_mflags}

%install
install -D -m 755 gstprovider/libgstprovider.so $RPM_BUILD_ROOT%{_libdir}/psi/plugins/libgstprovider.so
install -D -m 755 demo/demo $RPM_BUILD_ROOT%{_bindir}/%{name}

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1}


%files
%doc COPYING README TODO
%dir %{_libdir}/psi
%dir %{_libdir}/psi/plugins
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/psi/plugins/libgstprovider.so

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_16
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_14
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_13
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_12
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_11
- initial fc import

